'use strict';

const kit = require('@nuxt/kit');
const _const = require('./const.cjs');

const module$1 = kit.defineNuxtModule({
  meta: {
    name: "nuxtseo",
    compatibility: {
      nuxt: ">=3.7.0",
      bridge: false
    }
  },
  defaults: {
    enabled: true
  },
  async setup(config, nuxt) {
    if (!config.enabled) {
      return;
    }
    for (const module of _const.modules) {
      if (module.npm !== "@nuxtjs/seo") {
        await kit.installModule(await kit.resolvePath(module.npm), {}, nuxt);
      }
    }
  }
});

module.exports = module$1;
